I know it doesnt work with the newest one as of today.